# ItemLib
#### By iDeathHD

A library that makes custom items, equipments, buffs, and elites possible for Risk of Rain 2.

### Informations

- This library is needed for any mods that will want to custom items, equipments, buffs, or new elites into the game.

- For modders, a mini-tutorial is available on the [github](https://github.com/xiaoxiao921/ItemLib/) of the library.

- If you find any bug, tell me about it in the RoR2 Modding Discord. @iDeathHD

### Installation Guide

- Copy `ItemLib` folder into your BepInEx plugins folder.

- Copy `Assembly-CSharp.ItemLib.MM.dll` into your BepInEx monomod folder.

### Changelog

`0.1.1` - Updated to the Skills 2.0 Game Update.

`0.1.0` - Added support for having custom buffs and elites. Thanks to @Jarlyk !

`0.0.15` - Added support for having the 3d model of the item show up on the survivor models.

`0.0.14` - Fixed out of range error for equipments.

`0.0.13` - Optimized assemblies loading.

`0.0.12` - Updated to the latest version of the game. Fixed GetItemCount not working as a client in a multiplayer game.

`0.0.11` - Fixed custom equipments to logbook and fixed the bug when Itemlib was placed in folders deeper than supposed to be.

`0.0.10` - Fixed Logbook. Custom items are unlocked and viewable by default in the logbook.

`0.0.9` - Added back R2API.ItemDropAPI support now that its fixed.

`0.0.8` - Added il_getids command for debugging purpose. Use it with give_custom_item command for spawning custom items.

`0.0.7` - Temporary fix while ItemDropAPI is being worked on.

`0.0.6` - fixed the saveprofile bug and updated to the current version of the game.

`0.0.5` - Fixed the catalog of rules being messy, you can now selected other difficulty than drizzle lol

`0.0.4` - Updated README.md and fixed id support for custom equipments. (no need to update for people using Rampage right now)

`0.0.3` - Added support for custom equipments ! You don't actually need to update unless there is a mod out here that will want to have a new equipment item.

`0.0.2` - Updated README.md

`0.0.1` - Initial release of the library.